<?php 
session_start();
 if($_SESSION['usuariogrupo_id']!=1){
	 ?>
	 
	 <div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Tipos de Documento
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >General</li>
				<li class="breadcrumb-item active">Documento</li>
            </ol>
          </div>
		</div>
	</div>
</div>
	 <?php 
 }
 else{
?>

<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Tipos de Documento
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >General</li>
				<li class="breadcrumb-item active">Documento</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="documento_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	<!-- formulario de registro -->
			<div class="modal fade" id="div_documento_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg" style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_documento_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- tabla de registros -->	
		
	<div id="div_documento_tabla"></div>
	
<script type="text/javascript">
	function documento_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../documento/documento_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
			//pro_est:	$('#cmb_fil_pro_est').val()
		}),
			beforeSend: function() {
				$('#div_documento_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_documento_tabla').html(html);
			},
			complete: function(){			
				$('#div_documento_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function documento_form(act,idf)
	{
		$('#div_documento_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../documento/documento_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				doc_id:	idf,
				vista:	'documento_tabla'
			}),
			beforeSend: function() {
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
			$('.div_documento_form').html(div);	
			},
			success: function(html){
				$('.div_documento_form').html(html);		
			}
		});
	}
	function eliminar_documento(id)
	{   
		
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../documento/documento_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					id:		id
				}),
				beforeSend: function() {
				
				},
				success: function(html){
					toastr["success"](html);
				},
				complete: function(){
					documento_tabla();
				}
			});
		}
	}
//
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../documento/documento_vista.php");
	});
	documento_tabla();	
 setTitle("TIPO DOCUMENTO - "+nombreEmpresa);	
});
</script>
 <?php } ?>